Installation and usage of the platform
REST API: information about address assets and balances¶
The methods of the assets group are provided for obtaining information about assets and address balances.
GET /assets/balance/{address}¶
The method returns the balance of all assets of the address.
Parameters returned in the method response:
address- participant address;balances- object with balances of the participant:assetId- asset identifier;balance- asset balance;quantity- total number of issued tokens of the asset;reissuable- the reissuability of an asset;issueTransaction- body of transaction 3 for asset creation;minSponsoredAssetFee- minimum fee for sponsored transactions;sponsorBalance- funds allocated to pay for transactions on sponsored assets.
Response example:
POST /assets/balance¶
The method returns the balance of all assets for several addresses passed to the addresses field. Parameters passed in response for each address are identical to the GET /assets/balance/{address} method.
Response example for one address:
GET /assets/balance/{address}/{assetId}¶
The method returns the balance of the address in the specified {assetId}.
Response example:
GET /assets/details/{assetId}¶
The method returns description of the specified {assetId}.
Response example:
GET /assets/{assetId}/distribution¶
The method returns the number of asset tokens on all addresses using the specified asset.
Response example: